Printer compatibility?

victoria's Avatar

victoria

04 Oct, 2017 12:10 PM

I would like to buy a new printer. I have a power pc G5, version OS X 10.5.8. Will I have problems if I want to buy a printer with an operating system of 10.6 or later? What support (drivers etc), need to be downloaded in order to make my printer work?
I have also found a printer with a 10.5.8 operating system but for use with an intel processor. Could you advise? Many thanks.

  1. Support Staff 1 Posted by Chris (chtrusch... on 04 Oct, 2017 06:09 PM

    Chris (chtrusch)'s Avatar

    While this subject isn't directly related to TenFourFox, I can relate to your problem. Just a short answer: Usually any printer connected via USB should work with at least basic functionality using the built-in Gutenprint drivers of Mac OS X 10.5. You do not need to install drivers or software supplied by the manufacturer. If it's a printer-scanner, the scanning device should work using Image Capture.app if it has a TWAIN compatible interface. Just buy a simple printer with no shinanigans and you should be fine.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

16 Oct, 2018 04:12 PM
15 Oct, 2018 06:02 PM
13 Oct, 2018 08:46 PM
07 Oct, 2018 10:54 PM
06 Oct, 2018 06:58 PM